### Constructor

# Foundry LocalDevice new_full

#### Declaration [src]

    FoundryDevice*
    foundry_local_device_new_full (
      FoundryContext* context,
      const char* id,
      const char* title,
      FoundryTriplet* triplet
    )

#### Description

No description available.

#### Parameters

`context`

  Type: `FoundryContext`

  No description available.

  The data is owned by the caller of the function.

`id`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`title`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`triplet`

  Type: `FoundryTriplet`

  No description available.

  The data is owned by the caller of the function.

#### Return value

Type: `FoundryDevice`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.